Bug 247709 - misc/broot: Update to 0.18.3
Summary: misc/broot: Update to 0.18.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/canop/broot/releas...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-02 10:18 UTC by Lewis Cook
Modified: 2020-07-06 15:56 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly-


Attachments
broot-0.18.3.diff (2.85 KB, patch)
2020-07-02 10:18 UTC, Lewis Cook
vulcan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_triage 2020-07-02 10:18:07 UTC
Created attachment 216132 [details]
broot-0.18.3.diff

Changelog:

 * https://github.com/canop/broot/releases/v0.18.3

QA:

 * portlint: OK (looks fine).
 * testport: OK (poudriere: 12.1-RELEASE-p5, amd64).

MFH: No (Feature only release)
Comment 1 Fernando Apesteguía freebsd_committer 2020-07-03 06:53:26 UTC
Hi Lewis,

Thanks for the patch. I have a question. Does this port need bash/zsh to work? I couldn't make it work in a jail with csh:

root@12_1i386-default:~ # broot

Broot should be launched using a shell function (see https://github.com/Canop/broot for explanations).
Can I install it now? [Y n]
Y
Writing br shell function in /root/.local/share/broot/launcher/bash/1.
Creating link from /root/.config/broot/launcher/bash/br to /root/.local/share/broot/launcher/bash/1.

I found no sourcing file for the bash/zsh family.
If you're using bash or zsh, then installation isn't complete:
the br function initialization script won't be sourced unless you source it yourself.

Cheers.
Comment 2 Lewis Cook freebsd_triage 2020-07-06 13:02:44 UTC
(In reply to Fernando Apesteguía from comment #1)
It's not a hard dependency in order to make broot work, what's installed is a set of shell aliases that allow you to change the directory you're currently in by pressing alt + enter. At this current point in time broot doesn't come with any csh aliases that grant this behavior, so explicitly marking bash/zsh/foo as a runtime dependency I wasn't in favor of (which also presumes either of those are set as the users shell). Whilst there's no csh alias you can still use the application, just without that particular feature. For further readup see: https://dystroy.org/broot/install/#installation-completion-the-br-shell-function - it's rather more for convenience above all. :)
Comment 3 Fernando Apesteguía freebsd_committer 2020-07-06 15:52:09 UTC
(In reply to Lewis Cook from comment #2)

Understood. Thanks for the clarification!
Comment 4 commit-hook freebsd_committer 2020-07-06 15:54:59 UTC
A commit references this bug:

Author: fernape
Date: Mon Jul  6 15:54:16 UTC 2020
New revision: 541349
URL: https://svnweb.freebsd.org/changeset/ports/541349

Log:
  misc/broot: Update to 0.18.3

  ChangeLog: https://github.com/canop/broot/releases/v0.18.3

  PR:	247709
  Submitted by:	vulcan@wired.sh (maintainer)

Changes:
  head/misc/broot/Makefile
  head/misc/broot/distinfo
Comment 5 Fernando Apesteguía freebsd_committer 2020-07-06 15:56:01 UTC
Committed,

Thanks!